You are viewing a plain text version of this content. The canonical link for it is here.
Posted to notifications@apisix.apache.org by me...@apache.org on 2020/01/06 10:03:11 UTC

[incubator-apisix] 02/02: utils: added new tools to check apisix version.

This is an automated email from the ASF dual-hosted git repository.

membphis pushed a commit to branch v1.0
in repository https://gitbox.apache.org/repos/asf/incubator-apisix.git

commit cd041a1dac876031f0f33ca91b458075f4fafba4
Author: Yuansheng <me...@gmail.com>
AuthorDate: Mon Jan 6 18:02:59 2020 +0800

    utils: added new tools to check apisix version.
---
 utils/check-version.sh | 68 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 68 insertions(+)

diff --git a/utils/check-version.sh b/utils/check-version.sh
new file mode 100755
index 0000000..b068b35
--- /dev/null
+++ b/utils/check-version.sh
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+ver=$1
+
+red='\e[0;41m'
+RED='\e[1;31m'
+green='\e[0;32m'
+GREEN='\e[1;32m'
+NC='\e[0m'
+
+# doc: apisix $ver
+matched=`grep "apisix.[0-9][0-9.]*" -r doc/`
+expected=`grep "apisix.$ver" -r doc/`
+
+if [ "$matched" = "$expected" ]; then
+    echo -e "${green}passed: (doc) apisix $ver ${NC}"
+else
+    echo -e "${RED}failed: (doc) apisix $ver ${NC}" 1>&2
+    echo
+    echo "-----maybe wrong version-----"
+    echo "$matched"
+    exit 1
+fi
+
+# doc: version $ver
+matched=`grep "version [0-9][0-9.]*" -r doc/`
+expected=`grep -F "version $ver" -r doc/`
+
+if [ "$matched" = "$expected" ]; then
+    echo -e "${green}passed: (doc) version $ver ${NC}"
+else
+    echo -e "${RED}failed: (doc) version $ver ${NC}" 1>&2
+    echo
+    echo "-----maybe wrong version-----"
+    echo "$matched"
+    exit 1
+fi
+
+# lua: VERSION = $ver
+matched=`grep "VERSION = \"[0-9][0-9.]*\"" -r lua/`
+expected=`grep -F "VERSION = \"$ver\"" -r lua/`
+
+if [ "$matched" = "$expected" ]; then
+    echo -e "${green}passed: (lua) VERSION = $ver ${NC}"
+else
+    echo -e "${RED}failed: (lua) VERSION = \"$ver\" ${NC}" 1>&2
+    echo
+    echo "-----maybe wrong version-----"
+    echo "$matched"
+    exit 1
+fi